Debug
Date: 2017-05-13

game_frontend

## Class Debug

- java.lang.Object
- - game_frontend.Match
  - - game_frontend.Debug

-     public class Debug
      extends Match

  Constitutes an interface for debug. It extends and takes advantage of all generic methods of Match but the method deal() has to be replaced in order to not shuffle the deck
  Author:
    João Vieira, Guilherme Reis, Catarina Santos

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class game_frontend.Match

      `Match.States`

  - ### Field Summary

    - ### Fields inherited from class game_frontend.Match

      `actualBet, discarded, game, initialCredit, player`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Debug(int credits, java.util.ArrayList<Card> cards, java.util.ArrayList<java.lang.String> commands)` Constructor of Debug

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `deal()` Version of deal in which the deck is not shuffled
    `java.lang.String` | `hold(int[] positions)` Version of hold in which the cards are not returned to the deck

    - ### Methods inherited from class game_frontend.Match

      `advice, bet, credit, getStats`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Debug

          public Debug(int credits,
                       java.util.ArrayList<Card> cards,
                       java.util.ArrayList<java.lang.String> commands)

      Constructor of Debug
      Parameters:
        `credits` - The initial amount of credits with which the player is going to start playing
        `cards` - List of cards that are to be loaded into deck
        `commands` - List of commands that are to execute

  - ### Method Detail

    - #### deal

          public java.lang.String deal()

      Version of deal in which the deck is not shuffled
      Overrides:
        `deal` in class `Match`
      Returns:
        String Actual hand of player
      See Also:
        `Match.deal()`

    - #### hold

          public java.lang.String hold(int[] positions)

      Version of hold in which the cards are not returned to the deck
      Overrides:
        `hold` in class `Match`
      Parameters:
        `positions` - Positions of the cards that are to maintain
      Returns:
        String Final hand of the player in this round
      See Also:
        `Match.hold(int[])`